#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libnfnetlink
Version		:	1.0.2
Release		:	14.4.0.0%{?dist}
Summary		:	Netfilter netlink userspace library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://www.netfilter.org/projects/libnfnetlink

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	linux-headers
BuildRequires	:	automake
BuildRequires	:	autoconf
BuildRequires	:	libtool
BuildRequires	:	make
BuildRequires	:	pkg-config

#-----------------------------------------------------------------------------
%description
libnfnetlink is a userspace library that provides some low-level
nfnetlink handling functions.  It is used as a foundation for other, netfilter
subsystem specific libraries such as libnfnetlink_conntrack, libnfnetlink_log
and libnfnetlink_queue.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/%{name}.so.0*

#=============================================================================
%package		devel
Summary		:	Netfilter netlink userspace library

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}
Requires	:	linux-headers

#-----------------------------------------------------------------------------
%description		devel
libnfnetlink is a userspace library that provides
some low-level nfnetlink handling functions.
It is used as a foundation for other, netfilter
subsystem specific libraries such as:
libnfnetlink_conntrack,
libnfnetlink_log
libnfnetlink_queue.
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/%{name}.h
%{_includedir}/%{name}/linux_nfnetlink.h
%{_includedir}/%{name}/linux_nfnetlink_compat.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
